body, td {
   font-family: FreeSans, sans-serif;
   background-color: white;
   font-size: 12px;
   margin: 8px;
}

tt, code, pre {
   font-family: 'DejaVu Sans Mono', 'Droid Sans Mono', 'Lucida Console', Consolas, Monaco, monospace;
}

h1 { 
   font-size:3.0em;
   margin-bottom: 10px;
}

h2 { 
   font-size:1.8em;
   margin-bottom: 10px;
}

h3 { 
   font-size:1.4em; 
}

h4 { 
   font-size:1.0em; 
}

h5 { 
   font-size:0.9em; 
}

h6 { 
   font-size:0.8em; 
}

/* Einfärbung der besuchten links */
a:visited {
   color: rgb(50%, 0%, 50%);
}

pre {	
   margin-top: 0;
   max-width: 95%;
   border: 1px solid #ccc;
   white-space: pre-wrap;
}

pre code {
   display: block; padding: 0.5em;
}

code.r, code.cpp {
   background-color: #F8F8F8;
}

table, td, th {
  border: none;
}

blockquote {
   color:#666666;
   margin:0;
   padding-left: 1em;
   border:3px solid #73AD21;
   /* border-left: 0.5em #EEE solid;*/}

hr {
   height: 0px;
   border-bottom: none;
   border-top-width: thin;
   border-top-style: dotted;
   border-top-color: #999999;
}

@media print {
   * { 
      background: transparent !important; 
      color: black !important; 
      filter:none !important; 
      -ms-filter: none !important; 
   }

   body { 
      font-size:12pt; 
      max-width:100%; 
   }
       
   a, a:visited { 
      text-decoration: underline; 
   }

   hr { 
      visibility: hidden;
      page-break-before: always;
   }

   pre, blockquote { 
      padding-right: 1em; 
      page-break-inside: avoid; 
   }

   tr, img { 
      page-break-inside: avoid; 
   }

   img { 
      max-width: 100% !important; 
   }

   @page :left { 
      margin: 15mm 20mm 15mm 10mm; 
   }
     
   @page :right { 
      margin: 15mm 10mm 15mm 20mm; 
   }

   p, h2, h3 { 
      orphans: 3; widows: 3; 
   }

   h2, h3 { 
      page-break-after: avoid; 
   }
}

.button1 {
  background-color: #f0cf4cff;
  border: none;
  color: black;
  padding: 8px;
  width: 80px;
  border-radius: 10px 0 0 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1em;
  font-weight: bold;
  margin: 4px -2px;
  cursor: pointer;
}

.button2 {
  background-color: #87aadeff;
  border: none;
  color: black;
  padding: 8px;
  width: 80px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1em;
  font-weight: bold;
  margin: 4px -2px;
  cursor: pointer;
}

.button3 {
  background-color: #64a23cff;
  border: none;
  color: black;
  padding: 8px;
  width: 80px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1em;
  font-weight: bold;
  margin: 4px -2px;
  cursor: pointer;
}

.button4 {
  background-color: #e86f8cff;
  border: none;
  color: black;
  padding: 8px;
  width: 80px;
  border-radius: 0 10px 10px 0;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1em;
  font-weight: bold;
  margin: 4px -2px;
  cursor: pointer;
}


.container {
  max-width: 80%;
  border: 2px;
  border-style: solid;
  border-color: #E5E7E9;
  background-color: #E5E7E9;
  margin: 25px;
  word-wrap: break-word;
}

.box1 {
  box-sizing: border-box;
  max-width: 10%;
  border: 2px ;
  border-style: solid;
  border-color: #E5E7E9;
  margin-left: -15px;
  float: left;
}

.box2 {
  box-sizing: border-box;
  max-width: 90%;
  border: 2px;
  border-style: solid;
  border-color: #E5E7E9;
  margin-right: -15px;
  margin-left: 25px;
  float: left;
 
}


a.class1:link, a.class1:visited {
  background-color: #424949;
  color: white;
  padding: 2px 5px;
  margin: 4px -2px;
  border-radius: 4px 0 0 4px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
}

a.class1:hover, a.class1:active {
  background-color: black;
}

a.class2:link, a.class2:visited {
  background-color: #ABB2B9;
  color: white;
  padding: 2px 5px;
  margin: 4px -2px;
  border-radius: 0 4px 4px 0;
  text-align: center;
  text-decoration: none;
  
  display: inline-block;
}

a.class2:hover, a.class2:active {
  background-color: black;
}


.trigger input[type="checkbox"] + span {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s linear 0.33s, opacity 0.33s linear;
}
.trigger input[type="checkbox"]:checked + span {
  visibility: visible;
  opacity: 1;
  transition-delay: 0s;
}
.msg {
  display: block;
  margin-top: 8px;
  padding: 8px 12px;
  border: 1px solid #ddd;
  border-radius: 3px;
}

/* Tooltip container */
.author_div {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

/* Tooltip text */
.author_div .author_afil {
  visibility: hidden;
  width: 120px;
  background-color: #555;
  color: #fff;
  text-align: center;
  padding: 5px;
  border-radius: 6px;

  /* Position the author_div text */
  position: absolute;
  z-index: 1;
  top: -5px;
  left: 105%;

  /* Fade in author_div */
  opacity: 0;
  transition: opacity 0.3s;
}

/* Tooltip arrow */
.tooltip .tooltiptext::after {
  content: " ";
  position: absolute;
  top: 50%;
  right: 100%; /* To the left of the tooltip */
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent black transparent transparent;
}

/* Show the author_div text when you mouse over the author_div container */
.author_div:hover .author_afil {
  visibility: visible;
  opacity: 1;
}